SourceID Docs
Nigeria

Phone Number Verification

This endpoint allows you to verify the Phone Number.

Endpoint: POST {baseurl}/v1/api/verification/phone

Request Body

ParameterTypeRequiredDescription
countrystringYesThe country code (e.g., "NGA" for Nigeria).
referencestringYesA unique reference for the verification request.
verificationLevelstringNoThe level of verification to perform (e.g., "basic", "extended").
phoneNumberstringYesA registered Nigerian phone number.
customerstringNoID of the customer (optional).
verificationGroupstringNoID of the verification group (optional).

Sample Request

curl -X POST "{baseurl}/v1/api/verification/phone" \
-H "Content-Type: application/json" \
-H "x-api-key: {API-KEY}" \
-d '{
    "country": "NGA",
    "reference": "0122333444455555",
    "verificationLevel": "extended",
    "phoneNumber": "2348012345678",
    "customer": "6791457be570f7f292f1fe23",
    "verificationGroup": "6791457be570f7f292f1fe23"
}'

Sample Response

    {
      "status": true,
      "responseCode": "00",
      "statusCode": "200",
      "message": "Phone Number verification successful",
      "data": {
        "names": {
          "firstName": "John",
          "lastName": "Doe",
          "middleName": "Chinedu",
          "title": "Mr",
        },
        "personalData": {
          "dateOfBirth": "1992-05-14",
          "gender": "Male",
          "maritalStatus": "Single",
          "religion": "Christianity",
          "height": "182 cm",
          "educationLevel": "B.Sc",
          "profession": "Software Engineer",
          "employmentStatus": "Employed",
        },
        "address": {
          "residenceAddress": "14 Freedom Crescent",
          "residenceTown": "Yaba",
          "residenceLga": "Lagos Mainland",
          "residenceState": "Lagos",
          "residenceStatus": "Tenant",
        },
        "contact": {
          "phoneNumber": "+2348091234567",
          "email": "john.doe@example.com",
        },
        "identification": {
          "phoneNumber": "+2348091234567",
          "nin": "23456789012",
        },
        "origin": {
          "birthCountry": "Nigeria",
          "birthState": "Enugu",
          "birthLga": "Nkanu East",
          "originState": "Enugu",
          "originLga": "Nkanu East",
          "originPlace": "Amechi",
        },
        "documents": {
          "photo": "https://example.com/photos/john.jpg",
          "signature": "https://example.com/signatures/john.png",
        },
        "nextOfKin": [
          {
            "names": {
              "firstName": "Mary",
              "middleName": "Ada",
              "lastName": "Doe",
            },
            "address": {
              "address1": "22 Harmony Road",
              "address2": "Flat 3B",
              "town": "Lekki",
              "lga": "Eti-Osa",
              "state": "Lagos",
              "postalCode": "105102",
            },
          },
          {
            "names": {
              "firstName": "Peter",
              "middleName": "Obinna",
              "lastName": "Doe",
            },
            "address": {
              "address1": "5 Unity Close",
              "address2": "",
              "town": "Gwarinpa",
              "lga": "Abuja Municipal",
              "state": "FCT",
              "postalCode": "900108",
            },
          },
        ],
        "parents": {
          "names": {
            "firstName": "Gregory",
            "middleName": "Ifeanyi",
            "lastName": "Doe",
          },
        }
      },
      "meta": {
        "statusCode": "200",
        "isValid": true,
        "timeStamp": "Wed Apr 23 2025 06:10:08 GMT+0000 (Coordinated Universal Time)"
      }
    }